Updates an existing Tariff record. You must include the Id of the record to update along with all required fields.
Authentication
This endpoint requires OAuth2 authentication. Include a valid bearer token in the Authorization header.
The authenticated user must be a full unrestricted administrator or have the Tariff-Edit role.
Enums
eTariffType — SystemTariffType values
Value Name 1 FullTimePrivateOffice 2 PartTimePrivateOffice 3 FullTimeDedicatedDesk 4 PartTimeDedicatedDesk 5 FullTimeHotDesk 6 PartTimeHotDesk 7 FullTimeOther 8 PartTimeOther 9 Storage 10 VirtualOffice 11 Virtual 99 Other
eTariffBookingDueDateStrategy — BookingDueDateStrategy values
Value Name 1 RenewalDate 2 BookingEndDate 3 BookingCreationDate 4 NextNthOfMonth
eIdentityCheckProvider — AddressIdentityCheckProvider values
Value Name 1 Manual 2 StripeIdentity
eIdentityCheckRepeatPattern — AddressIdentityCheckRepeatPattern values
Value Name 1 Never 2 Every3Months 3 Every6Months 4 Every12Months 5 Every24Months
Request Body
Required Fields
The Id of the Tariff record to update.
Cancellation period in days.
Optional Fields
System tariff type. See eTariffType enum above.
Whether the tariff is visible.
Whether to use time passes.
Invoice line display text.
New Contract Document Url.
ClearContractDocumentFile
Clear Contract Document File.
DisablePortalCancellations
Disable portal cancellations.
Cancellation limit in days.
Default contract term in months.
CancelMemeberAccountAfter
Cancel member account after days.
Check-in price plan limit.
Booking minute week limit.
Booking minute month limit.
Discount percentage for extra services.
Discount percentage for time passes.
Discount percentage for charges.
Raise invoice every N months.
Raise invoice every N weeks.
MinimumPriceIncludeTimePasses
Include time passes in minimum price.
Include extra services in minimum price.
MinimumPriceIncludeEvents
Include events in minimum price.
Whether the tariff is archived.
Whether the tariff is starred.
Keep new accounts on hold.
Whether the tariff can be paused.
Booking due date strategy. See eTariffBookingDueDateStrategy enum above.
Booking due date day of month.
Whether this is a virtual office tariff.
RequestAddressIdentityCheck
Request address identity check.
AddressIdentityCheckDescription
Address identity check description.
AddressIdentityCheckProvider
Address identity check provider. See eIdentityCheckProvider enum above.
KeepPausedIfAddressMismatch
Keep paused if address mismatch.
AddressIdentityCheckRepeatPattern
Address identity check repeat pattern. See eIdentityCheckRepeatPattern enum above.
Identity check provider. See eIdentityCheckProvider enum above.
IdentityCheckRepeatPattern
Identity check repeat pattern. See eIdentityCheckRepeatPattern enum above.
Identity check description.
SendOnBoardingFormByEmail
Send onboarding form by email.
Removed Products Forward.
Removed Products Recycle.
Removed Products Deposit.
Removed Products Collect.
Delivery preferences for mail.
DeliveryPreferencesParcels
Delivery preferences for parcels.
DeliveryPreferencesChecks
Delivery preferences for checks.
DeliveryPreferencesPublicity
Delivery preferences for publicity.
Delivery preferences for other.
MaximumDeliveryStorageDays
Maximum delivery storage days.
TransferProductsToContract
Transfer products to contract.
Code Examples
curl -X PUT \
"https://spaces.nexudus.com/api/billing/tariffs" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"BusinessId": 0,
"Name": "",
"Price": 0,
"CurrencyId": 0,
"CancellationPeriod": 0,
"DisplayOrder": 0,
"InvoiceEvery": 0,
"InvoiceEveryWeeks": 0,
"Id": 87654321
}'
Response
200
HTTP status code. 200 on success.
A human-readable message confirming the update.
Contains the Id of the updated record.
true if the tariff was updated successfully.
{
"Status" : 200 ,
"Message" : "Tariff was successfully updated." ,
"Value" : {
"Id" : 87654321
},
"OpenInDialog" : false ,
"OpenInWindow" : false ,
"RedirectURL" : null ,
"JavaScript" : null ,
"UpdatedOn" : "2025-01-15T10:30:00Z" ,
"UpdatedBy" : "admin@example.com" ,
"Errors" : null ,
"WasSuccessful" : true
}
400
A summary of the validation error(s), in the format PropertyName: error message.
null on validation failure.
Array of validation errors. The value that was submitted for the field, or null if missing.
The validation error message.
The name of the property that failed validation.
false when the request fails validation.
{
"Message" : "Name: is a required field" ,
"Value" : null ,
"Errors" : [
{
"AttemptedValue" : null ,
"Message" : "is a required field" ,
"PropertyName" : "Name"
}
],
"WasSuccessful" : false
}